Create Court Record Check
curl --request POST \
--url https://production.deepvue.tech/v1/background-verification/court-record-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"address": "<string>",
"father_name": "<string>",
"dob": "<string>",
"type": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/background-verification/court-record-check"
payload = {
"name": "<string>",
"address": "<string>",
"father_name": "<string>",
"dob": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
address: '<string>',
father_name: '<string>',
dob: '<string>',
type: '<string>'
})
};
fetch('https://production.deepvue.tech/v1/background-verification/court-record-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/court-record-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'address' => '<string>',
'father_name' => '<string>',
'dob' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/court-record-check"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/background-verification/court-record-check")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/court-record-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 201,
"timestamp": 1766168439528,
"transaction_id": "f0be2d85823e46e38b5784340a36881d",
"sub_code": "IN_PROGRESS",
"message": "Request processing is in progress."
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}Court Record Check
Create
Submit a court record background verification request.
POST
/
v1
/
background-verification
/
court-record-check
Create Court Record Check
curl --request POST \
--url https://production.deepvue.tech/v1/background-verification/court-record-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"address": "<string>",
"father_name": "<string>",
"dob": "<string>",
"type": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/background-verification/court-record-check"
payload = {
"name": "<string>",
"address": "<string>",
"father_name": "<string>",
"dob": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
address: '<string>',
father_name: '<string>',
dob: '<string>',
type: '<string>'
})
};
fetch('https://production.deepvue.tech/v1/background-verification/court-record-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/court-record-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'address' => '<string>',
'father_name' => '<string>',
'dob' => '<string>',
'type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/court-record-check"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/background-verification/court-record-check")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/court-record-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"father_name\": \"<string>\",\n \"dob\": \"<string>\",\n \"type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 201,
"timestamp": 1766168439528,
"transaction_id": "f0be2d85823e46e38b5784340a36881d",
"sub_code": "IN_PROGRESS",
"message": "Request processing is in progress."
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
application/json